## devisor2.grid.GUI.dialogs
Class LoadBalancingDialog.LoadFactors

    java.lang.Object
      devisor2.grid.GUI.dialogs.LoadBalancingDialog.LoadFactors

Enclosing class:
  LoadBalancingDialog

public class LoadBalancingDialog.LoadFactors
extends java.lang.Object

Constructor Summary
`LoadBalancingDialog.LoadFactors(int n)`

Method Summary
`void` `addEntryFak(int index, double ufak)`
`void` `addEntryIdx(int index, int uidx)`
`void` `calcAllValue(int[] load)`
`double` `calcValue(int index, int[] load)`
`int` `getLoadInfo(int index)`
`int` `getLoadInfoFrom(int index)`
`int` `getLoadInfoTo(int index)`
`int` `getNumEdges()`
`void` `printEntry(int index)`
`void` `setHeader(int idx, int uvon, int ubis)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadBalancingDialog.LoadFactors

    public LoadBalancingDialog.LoadFactors(int n)

Method Detail

### setHeader

    public void setHeader(int idx,
                          int uvon,
                          int ubis)

### addEntryFak

    public void addEntryFak(int index,
                            double ufak)

### addEntryIdx

    public void addEntryIdx(int index,
                            int uidx)

### printEntry

    public void printEntry(int index)

### calcValue

    public double calcValue(int index,
                            int[] load)

### getNumEdges

    public int getNumEdges()

### getLoadInfoFrom

    public int getLoadInfoFrom(int index)

### getLoadInfoTo

    public int getLoadInfoTo(int index)

### getLoadInfo

    public int getLoadInfo(int index)

### calcAllValue

    public void calcAllValue(int[] load)